com.fasterxml.jackson.databind.ser.impl

## Class ReadOnlyClassToSerializerMap

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.ReadOnlyClassToSerializerMap

    public final class ReadOnlyClassToSerializerMap
    extends Object

Optimized lookup table for accessing two types of serializers; typed and non-typed. Only accessed from a single thread, so no synchronization needed for accessors.

Note that before 2.6 this class was much smaller, and referred most operations to separate `JsonSerializerMap`, but in 2.6 functions were combined.

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyClassToSerializerMap(LookupCache<TypeKey,JsonSerializer<Object>> src)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReadOnlyClassToSerializerMap` `from(LookupCache<TypeKey,JsonSerializer<Object>> src)` Factory method for constructing an instance.
`int` `size()`
`JsonSerializer<Object>` `typedValueSerializer(Class<?> type)`
`JsonSerializer<Object>` `typedValueSerializer(JavaType type)`
`JsonSerializer<Object>` `untypedValueSerializer(Class<?> type)`
`JsonSerializer<Object>` `untypedValueSerializer(JavaType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadOnlyClassToSerializerMap

    public ReadOnlyClassToSerializerMap(LookupCache<TypeKey,JsonSerializer<Object>> src)

### Method Detail

#### from

    public static ReadOnlyClassToSerializerMap from(LookupCache<TypeKey,JsonSerializer<Object>> src)

Factory method for constructing an instance.

#### size

    public int size()

#### typedValueSerializer

    public JsonSerializer<Object> typedValueSerializer(JavaType type)

#### typedValueSerializer

    public JsonSerializer<Object> typedValueSerializer(Class<?> type)

#### untypedValueSerializer

    public JsonSerializer<Object> untypedValueSerializer(JavaType type)

#### untypedValueSerializer

    public JsonSerializer<Object> untypedValueSerializer(Class<?> type)